declare const DasVideoDialog: import("@das-fed/utils").SFCWithInstall<import("vue").DefineComponent<import("./src/type.js").Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:visible": (value: boolean) => any;
}, string, import("vue").PublicProps, Readonly<import("./src/type.js").Props> & Readonly<{
    "onUpdate:visible"?: ((value: boolean) => any) | undefined;
}>, {
    baseURL: string;
    visible: boolean;
    gridNum: number;
    deviceList: import("./src/type.js").Device[];
    isHls: boolean;
    dialogTitle: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>>;
declare const DasVideoDialogRef: () => import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./src/type.js").Props> & Readonly<{
    "onUpdate:visible"?: ((value: boolean) => any) | undefined;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:visible": (value: boolean) => any;
}, import("vue").PublicProps, {
    baseURL: string;
    visible: boolean;
    gridNum: number;
    deviceList: import("./src/type.js").Device[];
    isHls: boolean;
    dialogTitle: string;
}, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
}, Readonly<import("./src/type.js").Props> & Readonly<{
    "onUpdate:visible"?: ((value: boolean) => any) | undefined;
}>, {}, {}, {}, {}, {
    baseURL: string;
    visible: boolean;
    gridNum: number;
    deviceList: import("./src/type.js").Device[];
    isHls: boolean;
    dialogTitle: string;
}> | null, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("./src/type.js").Props> & Readonly<{
    "onUpdate:visible"?: ((value: boolean) => any) | undefined;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:visible": (value: boolean) => any;
}, import("vue").PublicProps, {
    baseURL: string;
    visible: boolean;
    gridNum: number;
    deviceList: import("./src/type.js").Device[];
    isHls: boolean;
    dialogTitle: string;
}, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
}, Readonly<import("./src/type.js").Props> & Readonly<{
    "onUpdate:visible"?: ((value: boolean) => any) | undefined;
}>, {}, {}, {}, {}, {
    baseURL: string;
    visible: boolean;
    gridNum: number;
    deviceList: import("./src/type.js").Device[];
    isHls: boolean;
    dialogTitle: string;
}> | null>;
export { useVideo } from './src/hooks/use-video/index';
export { DasVideoDialog, DasVideoDialogRef };
